export const tableList: any[] = [
  {
    selectedDeptId: 21,
    name: 'is_Param_Of_b',
    ruleDescription: 'is_Param_Of_b',
    ruleType: '自定义规则',
    ruleHandling: '禁止执行',
    creationTime: '2019/12/12 21:21:21',
    updateTime: '2019/12/12 21:21:21',
    owner: 'admin',
    sql: 'SELECT COUNT(*)\n' + 'FROM $(table a}',
  },
  {
    selectedDeptId: 23,
    name: 'has_agg',
    ruleDescription: 'has_agg',
    ruleType: '预置规则',
    ruleHandling: '建议优化',
    creationTime: '2019/12/12 21:21:21',
    updateTime: '2019/12/12 21:21:21',
    owner: 'admin',
    sql:
      'sql.type = createtable\n' +
      'and\n' +
      '{\n' +
      'sql.partitions.size * sql.buckets.size <= 10000\n' +
      '}',
  },
  {
    selectedDeptId: 24,
    name: 'is_Param_Of_Agg',
    ruleDescription: 'is_Param_Of_Agg',
    ruleType: '自定义规则',
    ruleHandling: '禁止执行',
    creationTime: '2019/12/12 21:21:21',
    updateTime: '2019/12/12 21:21:21',
    owner: 'admin',
    sql:
      'SELECT COUNT(*)\n' +
      'FROM $(table a}\n' +
      'WHERE ${column a}IS NOT NULL AND ${column a}NOT IN (${range a})',
  },
  {
    selectedDeptId: 25,
    name: 'is_Location_Exists',
    ruleDescription: 'is_Location_Exists',
    ruleType: '自定义规则',
    ruleHandling: 'admin',
    creationTime: '2019/12/12 21:21:21',
    updateTime: '2019/12/12 21:21:21',
    owner: 'admin',
    sql:
      'SELECT COUNT(*)\n' +
      'FROM $(table a}\n' +
      'WHERE ${column a}IS NOT NULL AND ${column a}NOT IN (${range a})',
  },
];
export const treeDataListTwo = [
  {
    name: '审核规则',
    selectedDeptId: 1,
    children: [
      {
        name: '提示规则',
        selectedDeptId: 11,
        children: [{ selectedDeptId: 21 }],
      },
      {
        name: '错误问题规则',
        selectedDeptId: 12,
        children: [{ selectedDeptId: 23 }, { selectedDeptId: 24 }, { selectedDeptId: 25 }],
      },
    ],
  },
];
export const TreeData: any[] = [
  {
    delFlag: '0',
    flag: '1',
    businessId: 100,
    parentWorkSpaceName: '审核规则',
    workSpaceName: '审核规则',
    parentId: 0,
    'code:': '001',
    ancestors: '0',
    orderNum: 0,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 101,
    parentWorkSpaceName: '审核规则',
    workSpaceName: '提示规则',
    parentId: 100,
    'code:': '002',
    ancestors: '0,100',
    orderNum: 1,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 201,
    parentWorkSpaceName: '提示规则',
    workSpaceName: 'is_Param_Of_b',
    parentId: 101,
    'code:': '003',
    ancestors: '0,100',
    orderNum: 1,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 102,
    parentWorkSpaceName: '审核规则',
    workSpaceName: '错误问题规则',
    parentId: 100,
    'code:': '004',
    ancestors: '0,100',
    orderNum: 2,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 202,
    parentWorkSpaceName: '错误问题规则',
    workSpaceName: 'has_agg',
    parentId: 102,
    'code:': '004',
    ancestors: '0,100',
    orderNum: 2,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 203,
    parentWorkSpaceName: '错误问题规则',
    workSpaceName: 'is_Param_Of_Agg',
    parentId: 102,
    'code:': '004',
    ancestors: '0,100',
    orderNum: 2,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 204,
    parentWorkSpaceName: '错误问题规则',
    workSpaceName: 'is_Location_Exists',
    parentId: 102,
    'code:': '004',
    ancestors: '0,100',
    orderNum: 2,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
];
